.product-images {
  width: 100%;
  position: relative;

  @include media("md") {
    display: flex;
  }

  > .slider-thumbs {
    width: 10rem;
    height: 100%;
    min-height: 40rem;
    max-height: 62rem;
    position: sticky;
    top: 19rem;
    left: 0;
    z-index: 9;
    transition: var(--transition);
    display: none;

    @include media("md") {
      display: block;
    }
  }

  > .slider-thumbs .swiper-slide {
    align-items: center;
    cursor: pointer;
    opacity: 0.8;
    transition: var(--transition);
    height: max-content !important;
  }

  > .slider-thumbs .image {
    overflow: hidden;
    border: 1px solid var(--gray-2);
    width: 100%;
    pointer-events: none;

    &::after {
      padding-bottom: var(--product-image-height);
    }

    img {
      pointer-events: none;
    }
  }

  > .slider-thumbs .swiper-slide.-active .image {
    border-color: var(--gray-4);
  }

  > .main-slider {
    position: relative;

    @include media("md") {
      width: calc(100% + 10rem);
      margin-left: -10rem;
      max-height: 100vh;
      overflow-y: auto;

      &::-webkit-scrollbar {
        width: 0.2rem;
      }

      &::-webkit-scrollbar-thumb {
        background: var(--gray-2);
      }
    }
  }

  > .main-slider .swiper-slide {
    cursor: zoom-in;
    overflow: hidden;
    height: unset !important;
  }

  > .main-slider .swiper-slide.-zoomed {
    cursor: zoom-out;

    .image {
      transition: transform 0.05s linear !important;
    }
  }

  > .main-slider .swiper-slide:hover::after {
    @include media("md") {
      opacity: 1;
    }
  }

  // Label do zoom
  > .main-slider .swiper-slide::after {
    content: "Toque duas vezes para zoom";
    position: absolute;
    z-index: 5;
    bottom: 2.8rem;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
    padding: 0.5rem 1.5rem;
    border-radius: 10px;
    background-color: var(--gray-3);
    opacity: 0.8;
    font-size: var(--font-size-small);
    color: var(--white);
    white-space: nowrap;
    transition: var(--transition);

    @include media("md") {
      content: "Clique duas vezes para zoom";
      opacity: 0;
    }
  }

  > .main-slider .image img {
    object-fit: cover;
  }

  // Garante funcionamento do zoom, e ajusta proporção
  > .main-slider .swiper-slide .image,
  > .main-slider .swiper-slide .video {
    overflow: unset;

    &::after {
      padding-bottom: var(--product-image-height);
    }
  }

  // Slides inativos/escondidos conforme troca de SKU
  > .slider-thumbs .swiper-slide,
  > .main-slider .swiper-slide {
    &.-inactive {
      display: none;
    }
  }

  @include media("md") {
    > .main-slider .swiper-button-next,
    > .main-slider .swiper-button-prev {
      display: none;
    }
  }

  > .swiper-pagination {
    position: static !important;
    min-height: 1.4rem;
    width: 90% !important;
    margin: 2.4rem auto 0 !important;

    @include media("md") {
      display: none;
    }
  }
}
